/var/www/html/admin/modules/iotserver/node/package.json altered

/var/www/html/admin/modules/iotserver/node/package.json altered

I’ve seen another report of this, tho I’m unable to repro, it’s a false warning. What version of the IOT module is installed?

fwconsole ma list | grep iotserver

15.0.9.1

Weird, I still can’t repro this. You can resolve by upgrading the module to current:

fwconsole ma downloadinstall iotserver --tag 15.0.9.3

Module https://mirror.freepbx.org/modules/packages/iotserver/5.6/iotserver-15.0.9.3.tgz.gpg successfully downloaded
iotserver appears to be disabled. What would you like to do?
[0] Continue
[1] Attiva
[2] Cancel

what choise ?

If the module is disabled and you’re not using it, just delete it:

fwconsole ma delete iotserver

My system (15.0.24) spat out the same error yesterday morning. I did the “Download and Install 15.0.9.1” thing in the Module Admin, it fixed the error and all good this morning.

Anyone else seeing package.json as tampered today.
Module: “SmartOffice”, File: “/var/www/html/admin/modules/iotserver/node/package.json altered”
Seeing it on a few systems and diff shows no change and Module downloadand install still shows error so looks like an actual package error in 16.0.9.3

Also seeing a sql error on webrtc module 16.0.15

"Downloading module ‘webrtc’
Processing webrtc
Downloading…
2947708/2947708 [============================] 100%
Finished downloading
Extracting…Done
Download completed in 7 seconds
Updating tables webrtc_clients…Done

In Sip.class.php line 158:

SQLSTATE[23000]: Integrity constraint violation: 1048 Column ‘data’ cannot be null"

Again dowloadinstall still has same error/

This is making for a fun morning :slight_smile:

seeing this today, too.

I moved this to the existing topic so it looks out of place. Look at previous answers from Lorne should get you up.